import React from 'react';
import './Highlighter.css';

const KeywordHighlighter = props => {
    const { keywords, textColor, content } = props;

    let textContent = content;

    if ( keywords && keywords.length > 0  && content && content !== '' ) {
        keywords.map((word) => {
            var query = new RegExp("(\\b" + word + "\\b)", "gim");
            textContent = textContent.replace(query, "<span>$1</span>");
        })
    }

    return <div dangerouslySetInnerHTML={{__html: textContent }} /> ;
}

export default KeywordHighlighter;